ADOBE PREMIERE PRO: Tutorials Forum Articles Podcasts Basics Forum Creative Cloud Debate

Creative Cloud Moving Ahead - Requiring Mac OS X 10.10 (And Higher)

COW Forums : Adobe Premiere Pro

<< PREVIOUS   •   FAQ   •   VIEW ALL   •   PRINT   •   NEXT >>
Tom LaughlinCreative Cloud Moving Ahead - Requiring Mac OS X 10.10 (And Higher)
by on Sep 30, 2016 at 3:36:07 pm

A few days ago, I got a "pop-up" alert message on my Creative Cloud (CC), saying that the next Creative Cloud update "will require OS 10.10, or higher". I'm running Mac OS 10.9 with latest version of Premiere Pro, on my Mac Pro 5,1, 64GB Ram, 3TB storage, with a GTX 770 card.

I just don't want to update my OS - unless I absolutely have to. I found this article online, but still have concerns:

1.) Will this new update "lock up" the apps, and require you to update your OS, or, will you be able to open your apps, but be stuck in the old Creative Cloud version, thus being "unable to update" your apps that are locked within the older version of Creative Cloud?
2.) With apps being tied to the Creative Cloud, i'm just trying to get a sense of what can or could happen. Will apps still open, or will they be "unable to open"?
3.) Will some of my Red Giant plugins, presets, effects, or any other apps not function, (or function properly), or become less stable?
4.) Have you had a good experience updating from 10.9 to 10.10? Anything go awry?
5.) Anything need to be re-installed or re-updated? Anything break or become incompatible for you?

Any thoughts?


Tom Laughlin
Salt Lake City, Utah

Return to posts index

Tero AhlforsRe: Creative Cloud Moving Ahead - Requiring Mac OS X 10.10 (And Higher)
by on Sep 30, 2016 at 3:48:39 pm

The only programs that have stopped working are the Apple ones they're killing themselves. I think at least Motion is unusable at the moment. I'm on El Capitan and CC is working fine. Red Giant plugins should be fine but if you haven't updated your plugins you might want to check out any compatibility issues on the developers page.

Return to posts index

Dave LaRondeRe: Creative Cloud Moving Ahead - Requiring Mac OS X 10.10 (And Higher)
by on Sep 30, 2016 at 3:53:19 pm

If you like your system the way it's running right now, clone your system drive! Give yourself some insurance before you make any move!

It's really tough to answer many of your questions because frankly, nobody knows. Not even Adobe. Their new versions of software come out with bugs. The bug fixes create new bugs that weren't there before. If they could predict the bugs they wouldn't be there. So to think Adobe can even have a sense of what will happen is a stretch.

Yes, you'll probably have to update your plugins for the new version. That's pretty much standard operating procedure.

A smart thing to do might be to partition a new, much bigger system drive, put the current system drive contents on one partition, and start fresh on the other partition.

Dave LaRonde
Promotion Producer
KGAN (CBS) & KFXA (Fox) Cedar Rapids, IA

Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2016 All Rights Reserved